Subject: Re: [PATCH] Makefile: clean .depend dirs under COMPUTE_HEADER_DEPENDENCIES != yes

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Sep 2021 13:31:34 -0700

Jeff King <[email-masked]> writes:

>> See http://lore.kernel.org/git/[email-masked] for a report
>> about this issue.
>
> This makes perfect sense to me. Nicely explained, and the patch is
> simpler than I'd have expected. :)

For the record, I did *not* (and I right now do not) consider this
behaviour as an "issue" when I mentioned it.  It's like building
with a setting that requires some compat/ stuff and then cleaning
without the setting, no?  i.e. cruft left behind is something the
user deserves to see.

Since there is no other useful purpose for these .depend directories
to exist, I do not mind if "make clean" removed them, though ;-)

Thanks.